Orxonox: orxonox::StaticEntity Class Reference

# orxonox::StaticEntity Class Reference

`#include <src/orxonox/objects/worldentities/StaticEntity.h>`

Inheritance diagram for orxonox::StaticEntity:

List of all members.

## Public Member Functions

void | registerVariables ()
void | setOrientation (const Quaternion &orientation)
void | setPosition (const Vector3 &position)
| StaticEntity (BaseObject *creator)
virtual | ~StaticEntity ()

## Private Member Functions

void | getWorldTransform (btTransform &worldTrans) const
bool | isCollisionTypeLegal (CollisionType type) const
| Function checks whether the requested collision type is legal to this object.
void | orientationChanged ()
void | positionChanged ()
void | setWorldTransform (const btTransform &worldTrans)

## Constructor & Destructor Documentation

orxonox::StaticEntity::StaticEntity | ( | BaseObject * | creator | ) |

References RegisterObject, registerVariables(), orxonox::Synchronisable::setPriority(), and orxonox::Priority::VeryLow.

orxonox::StaticEntity::~StaticEntity | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::StaticEntity::getWorldTransform | ( | btTransform & | worldTrans | ) | const`[private]`

References orxonox::WorldEntity::node_.

bool orxonox::StaticEntity::isCollisionTypeLegal | ( | CollisionType | type | ) | const`[private, virtual]`

Function checks whether the requested collision type is legal to this object.

You can override this function in a derived class to constrain the collision to e.g. None or Dynamic. A projectile may not prove very useful if there is no physical body. Simply set the CollisionType in its constructor and override this method. But be careful that a derived classe's virtual functions don't yet exist in the constructor if a base class.

Implements orxonox::WorldEntity.

References CCOUT, orxonox::WorldEntity::Dynamic, and orxonox::WorldEntity::Kinematic.

void orxonox::StaticEntity::orientationChanged | ( |  | ) | `[inline, private]`

Referenced by registerVariables().

void orxonox::StaticEntity::positionChanged | ( |  | ) | `[inline, private]`

Referenced by registerVariables().

void orxonox::StaticEntity::registerVariables | ( |  | ) |

Reimplemented from orxonox::WorldEntity.

Reimplemented in orxonox::Backlight, orxonox::Billboard, orxonox::BlinkingBillboard, orxonox::FadingBillboard, orxonox::Light, orxonox::Model, and orxonox::ParticleEmitter.

References orxonox::WorldEntity::getOrientation(), orxonox::WorldEntity::getPosition(), orientationChanged(), positionChanged(), orxonox::Synchronisable::registerVariable(), and orxonox::VariableDirection::ToClient.

Referenced by StaticEntity().

void orxonox::StaticEntity::setOrientation | ( | const Quaternion & | orientation | ) | `[virtual]`

Implements orxonox::WorldEntity.

References orxonox::WorldEntity::addedToPhysicalWorld(), CCOUT, orxonox::WorldEntity::isStatic(), orxonox::WorldEntity::node_, and orxonox::WorldEntity::physicalBody_.

Referenced by orxonox::Projectile::collidesAgainst(), orxonox::Pawn::deatheffect(), and orxonox::Pawn::spawneffect().

void orxonox::StaticEntity::setPosition | ( | const Vector3 & | position | ) | `[virtual]`

Implements orxonox::WorldEntity.

References orxonox::WorldEntity::addedToPhysicalWorld(), CCOUT, orxonox::WorldEntity::isStatic(), orxonox::WorldEntity::node_, and orxonox::WorldEntity::physicalBody_.

Referenced by orxonox::WeaponSlot::attachWeapon(), orxonox::Projectile::collidesAgainst(), orxonox::DroppedItem::createDefaultDrop(), orxonox::Pawn::deatheffect(), orxonox::HsW01::muendungsfeuer(), orxonox::EnergyDrink::muendungsfeuer(), orxonox::Pawn::spawneffect(), and orxonox::ParticleSpawner::stopParticleSpawner().

void orxonox::StaticEntity::setWorldTransform | ( | const btTransform & | worldTrans | ) | `[private]`

References OrxAssert.

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/StaticEntity.h
- src/orxonox/objects/worldentities/StaticEntity.cc